com.mockobjects.jms

## Class MockTopicConnectionFactory

- java.lang.Object
- - com.mockobjects.MockObject
  - - com.mockobjects.jms.MockTopicConnectionFactory

All Implemented Interfaces:
  Verifiable

    public class MockTopicConnectionFactory
    extends MockObject

### Constructor Summary

Constructors
Constructor and Description
`MockTopicConnectionFactory()`

### Method Summary

Methods
`TopicConnection` `createTopicConnection()`
`TopicConnection` `createTopicConnection(java.lang.String userName, java.lang.String password)`
`void` `setupCreateTopicConnection(TopicConnection topicConnectionToReturn)`

### Methods inherited from class com.mockobjects.MockObject

`notImplemented, notYetImplemented, verify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MockTopicConnectionFactory

    public MockTopicConnectionFactory()

### Method Detail

#### setupCreateTopicConnection

    public void setupCreateTopicConnection(TopicConnection topicConnectionToReturn)

#### createTopicConnection

    public TopicConnection createTopicConnection()
                                          throws JMSException

Throws:
  `JMSException`

#### createTopicConnection

    public TopicConnection createTopicConnection(java.lang.String userName,
                                        java.lang.String password)
                                          throws JMSException

Throws:
  `JMSException`